#include <iostream>

using namespace std;

int main()
{
    int n, l;
    cin >> n >> l;
    int a[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];}
    int res = 1;
    int i = 0;
    while(a[i]>l && i<n){
        i++;
        res++;
    }
    if(i>=n) cout<<-1;
    else cout << res;

    return 0;
}